module Fox
  #
  # Icon class 
  #
  class FXIcon < FXImage

    # Transparency color [FXColor]
    attr_accessor :transparentColor

    #
    # Create an icon with an initial pixel buffer (_pix_), a transparency
    # color _tclr_, and _opts_ as in FXImage.
    #
    # ==== Parameters:
    #
    # +a+::	an application instance [FXApp]
    # +pix+::	initial pixel buffer [String]
    # +clr+::	transparency color [FXColor]
    # +opts+::	options [Integer]
    # +w+::	width [Integer]
    # +h+::	height [Integer]
    #
    def initialize(a, pix=nil, clr=0, opts=0, w=1, h=1) # :yields: theIcon
    end
  end
end
